# Register a delivery for a transaction Registers a delivery for a transaction with transaction_id. Seller needs to register the delivery when the package is registered into their carrier of choice. Endpoint: POST /transactions/{transactionId}/delivery/register Version: 0.0.1 Security: oAuthWithPKCE ## Path parameters: - `transactionId` (string, required) The transaction ID. ## Request fields (application/json): - `shipment_to_buyer` (object,null) Contains all necessary information for a delivery from seller to buyer. - `shipment_to_buyer.tracking_code` (string) Tracking code from the carrier. - `shipment_to_buyer.tracking_url` (string) URL from the carrier to track the package's status. - `shipment_to_seller` (object,null) Contains all necessary information for a delivery from buyer to seller. - `shipment_to_seller.label_url` (string) URL of the shipping label. - `shipment_to_seller.label_file_type` (string) File type of the label Enum: "PNG", "PDF", "JPG", "GIF" - `shipment_to_seller.label_type` (string) Type of the provided label. Enum: "BARCODE", "PRINTABLE", "PAPERLESS" ## Response 400 fields (application/json): - `code` (string, required) A standardized error descriptor. Enum: "INVALID_ACCEPT_REQUEST", "USER_UNAUTHORIZED", "NOT_FOUND", "ONGOING_DELIVERY", "USER_IS_NOT_THE_SELLER", "INVALID_REGISTER_REQUEST", "ERROR_UPDATING_DELIVERY_STATUS" - `message` (string, required) A detailed error message. Example: "Request `1a24c9e4-32c9-44ea-8f63-9e4f2ba54725` status is not `PENDING`. It is `ACCEPTED`." ## Response 409 fields (application/json): - `code` (string, required) A standardized error descriptor. Enum: "INVALID_ACCEPT_REQUEST", "USER_UNAUTHORIZED", "NOT_FOUND", "ONGOING_DELIVERY", "USER_IS_NOT_THE_SELLER", "INVALID_REGISTER_REQUEST", "ERROR_UPDATING_DELIVERY_STATUS" - `message` (string, required) A detailed error message. Example: "Request `1a24c9e4-32c9-44ea-8f63-9e4f2ba54725` status is not `PENDING`. It is `ACCEPTED`." ## Response 201 fields